<?php

namespace Ensi\OmsClient;

class OmsClientProvider
{
    /** @var string[] */
    public static $apis = [
        '\Ensi\OmsClient\Api\CommonApi',
        '\Ensi\OmsClient\Api\EnumsApi',
        '\Ensi\OmsClient\Api\RefundsApi',
        '\Ensi\OmsClient\Api\DeliveriesApi',
        '\Ensi\OmsClient\Api\ShipmentsApi',
        '\Ensi\OmsClient\Api\OrdersApi',
    ];

    /** @var string[] */
    public static $dtos = [
        '\Ensi\OmsClient\Dto\RefundFile',
        '\Ensi\OmsClient\Dto\OrderCommitRequestDeliveries',
        '\Ensi\OmsClient\Dto\DeliveryFillableProperties',
        '\Ensi\OmsClient\Dto\RefundForCreate',
        '\Ensi\OmsClient\Dto\Setting',
        '\Ensi\OmsClient\Dto\RefundCreateOnlyProperties',
        '\Ensi\OmsClient\Dto\OrderStatusesResponse',
        '\Ensi\OmsClient\Dto\ResponseBodyOffsetPagination',
        '\Ensi\OmsClient\Dto\RefundReasonResponse',
        '\Ensi\OmsClient\Dto\OrderDeliveryForPatch',
        '\Ensi\OmsClient\Dto\RefundResponse',
        '\Ensi\OmsClient\Dto\PaymentMethodsResponse',
        '\Ensi\OmsClient\Dto\RefundStatus',
        '\Ensi\OmsClient\Dto\RefundReasonsResponse',
        '\Ensi\OmsClient\Dto\OrderStartPaymentRequest',
        '\Ensi\OmsClient\Dto\RefundOnlyCreateRequestProperties',
        '\Ensi\OmsClient\Dto\PaymentStatusesResponse',
        '\Ensi\OmsClient\Dto\PaginationTypeEnum',
        '\Ensi\OmsClient\Dto\PaymentMethod',
        '\Ensi\OmsClient\Dto\PatchSeveralSettingsRequest',
        '\Ensi\OmsClient\Dto\OrderIncludes',
        '\Ensi\OmsClient\Dto\SearchDeliveriesResponse',
        '\Ensi\OmsClient\Dto\OrderItem',
        '\Ensi\OmsClient\Dto\ErrorResponse2',
        '\Ensi\OmsClient\Dto\RefundReason',
        '\Ensi\OmsClient\Dto\ShipmentStatus',
        '\Ensi\OmsClient\Dto\RequestBodyOffsetPagination',
        '\Ensi\OmsClient\Dto\ShipmentResponse',
        '\Ensi\OmsClient\Dto\OrderChangePaymentSystemRequest',
        '\Ensi\OmsClient\Dto\ShipmentFillableProperties',
        '\Ensi\OmsClient\Dto\OrderSourceEnum',
        '\Ensi\OmsClient\Dto\IncludeId',
        '\Ensi\OmsClient\Dto\OrderStatus',
        '\Ensi\OmsClient\Dto\RefundReasonForPatch',
        '\Ensi\OmsClient\Dto\PaymentStatus',
        '\Ensi\OmsClient\Dto\OrderReadonlyProperties',
        '\Ensi\OmsClient\Dto\ShipmentForPatch',
        '\Ensi\OmsClient\Dto\Refund',
        '\Ensi\OmsClient\Dto\OrderCommitRequestShipments',
        '\Ensi\OmsClient\Dto\ErrorResponse',
        '\Ensi\OmsClient\Dto\RefundIncludes',
        '\Ensi\OmsClient\Dto\SettingFillableProperties',
        '\Ensi\OmsClient\Dto\RefundReadonlyProperties',
        '\Ensi\OmsClient\Dto\SettingsResponse',
        '\Ensi\OmsClient\Dto\OrderCheckPaymentResponse',
        '\Ensi\OmsClient\Dto\OrderForPatch',
        '\Ensi\OmsClient\Dto\OrderCheckPaymentResponseData',
        '\Ensi\OmsClient\Dto\SearchRefundsRequest',
        '\Ensi\OmsClient\Dto\Shipment',
        '\Ensi\OmsClient\Dto\PaymentMethodEnum',
        '\Ensi\OmsClient\Dto\SearchOrdersRequest',
        '\Ensi\OmsClient\Dto\SettingReadOnlyProperties',
        '\Ensi\OmsClient\Dto\OrderCommitResponse',
        '\Ensi\OmsClient\Dto\OrderFile',
        '\Ensi\OmsClient\Dto\OrderFillableProperties',
        '\Ensi\OmsClient\Dto\ShipmentReadonlyProperties',
        '\Ensi\OmsClient\Dto\ResponseBodyPagination',
        '\Ensi\OmsClient\Dto\SearchDeliveriesResponseMeta',
        '\Ensi\OmsClient\Dto\OrderResponse',
        '\Ensi\OmsClient\Dto\SearchOrdersResponse',
        '\Ensi\OmsClient\Dto\ModelInterface',
        '\Ensi\OmsClient\Dto\Delivery',
        '\Ensi\OmsClient\Dto\Address',
        '\Ensi\OmsClient\Dto\PaginationTypeOffsetEnum',
        '\Ensi\OmsClient\Dto\EmptyDataResponse',
        '\Ensi\OmsClient\Dto\PaymentStatusEnum',
        '\Ensi\OmsClient\Dto\RefundReasonFillableProperties',
        '\Ensi\OmsClient\Dto\DeliveryStatusesResponse',
        '\Ensi\OmsClient\Dto\RequestBodyPagination',
        '\Ensi\OmsClient\Dto\RefundForPatch',
        '\Ensi\OmsClient\Dto\OrderSource',
        '\Ensi\OmsClient\Dto\OrderCommitRequestItems',
        '\Ensi\OmsClient\Dto\SettingsForPatch',
        '\Ensi\OmsClient\Dto\DeliveryIncludes',
        '\Ensi\OmsClient\Dto\RefundOnlyCreateRequestPropertiesOrderItems',
        '\Ensi\OmsClient\Dto\DeliveryStatus',
        '\Ensi\OmsClient\Dto\DeliveryReadonlyProperties',
        '\Ensi\OmsClient\Dto\OrderAttachFileResponse',
        '\Ensi\OmsClient\Dto\SearchRefundsResponse',
        '\Ensi\OmsClient\Dto\OrderStartPaymentResponse',
        '\Ensi\OmsClient\Dto\PaymentSystem',
        '\Ensi\OmsClient\Dto\ShipmentStatusEnum',
        '\Ensi\OmsClient\Dto\DeliveryResponse',
        '\Ensi\OmsClient\Dto\OrderDeliveryFillableProperties',
        '\Ensi\OmsClient\Dto\RefundReasonForCreate',
        '\Ensi\OmsClient\Dto\SettingCodeEnum',
        '\Ensi\OmsClient\Dto\OrderCommitRequest',
        '\Ensi\OmsClient\Dto\SearchDeliveriesRequest',
        '\Ensi\OmsClient\Dto\SearchShipmentsRequest',
        '\Ensi\OmsClient\Dto\RefundStatusEnum',
        '\Ensi\OmsClient\Dto\OrderStatusEnum',
        '\Ensi\OmsClient\Dto\Timeslot',
        '\Ensi\OmsClient\Dto\RefundFillableProperties',
        '\Ensi\OmsClient\Dto\ShipmentStatusesResponse',
        '\Ensi\OmsClient\Dto\Order',
        '\Ensi\OmsClient\Dto\ShipmentIncludes',
        '\Ensi\OmsClient\Dto\RefundFileResponse',
        '\Ensi\OmsClient\Dto\RefundForDeleteFiles',
        '\Ensi\OmsClient\Dto\DeliveryStatusEnum',
        '\Ensi\OmsClient\Dto\MultipartFileUploadRequest',
        '\Ensi\OmsClient\Dto\File',
        '\Ensi\OmsClient\Dto\Error',
        '\Ensi\OmsClient\Dto\OrderDeleteFilesRequest',
        '\Ensi\OmsClient\Dto\RefundReasonReadonlyProperties',
        '\Ensi\OmsClient\Dto\PaginationTypeCursorEnum',
        '\Ensi\OmsClient\Dto\OrderAddCommentRequest',
        '\Ensi\OmsClient\Dto\RequestBodyCursorPagination',
        '\Ensi\OmsClient\Dto\OrderStartPaymentResponseData',
        '\Ensi\OmsClient\Dto\ResponseBodyCursorPagination',
        '\Ensi\OmsClient\Dto\SearchShipmentsResponse',
        '\Ensi\OmsClient\Dto\PaymentSystemsResponse',
        '\Ensi\OmsClient\Dto\PaymentSystemEnum',
        '\Ensi\OmsClient\Dto\OrderSourcesResponse',
        '\Ensi\OmsClient\Dto\DeliveryForPatch',
        '\Ensi\OmsClient\Dto\RefundStatusesResponse',
    ];

    /** @var string */
    public static $configuration = '\Ensi\OmsClient\Configuration';
}
